IDENT(1)

NAME
ident - identify RCS keyword strings in files

SYNOPSIS
ident [-qV] [file ...]

DESCRIPTION
The ident program searches for the pattern $keyword:... $ from the files specified as argument (or standard input if none are given). See the KEYWORD SUBSTITUTION section of rcs(1) for more information.

The following options are supported:

-q  Quiet mode: suppress warnings if no pattern found.

-V  Display version information and exit.

EXIT STATUS

EXAMPLES
Given the following source code in file foo.c:

    #include stdio.h
    static char const rcsid[] =
    	"$Id: foo.c,v 1.2 2005/11/18 09:34:51 xsa Exp $";
    int
    main(void) {
    	printf("%s\n", rcsid);
    	return (0);
    }

Compile it and run ident:

    $ ident foo.c foo.o
    foo.c:
         $Id: foo.c,v 1.2 2005/11/18 09:34:51 xsa Exp $
    foo.o:
         $Id: foo.c,v 1.2 2005/11/18 09:34:51 xsa Exp $

SEE ALSO
ci(1), co(1), cvs(1), rcs(1), rcsclean(1), rcsdiff(1), rcsmerge(1), rlog(1)